import sampleAyshe from "./sample/ayshe.json"


export interface ItemExpireTime {
  text: string
  us: string
}

export interface TricksterItem {
  unique_id: number;
  item_name: string;
  item_id: number;
  item_count: number;
  item_desc: string;
  item_use: string;
  item_slots?: number;
  item_min_level?: number;
  is_equip?: boolean;
  is_drill?: boolean;
  item_expire_time?: ItemExpireTime;
  refine_level?: number;
  refine_type?: number;
  refine_state?: number;
  image?: string;
  stats?: {[key: string]:any}
}

export interface TricksterWallet {
  galders:number
  state:number
  job_img:string
}

export interface TricksterInventory {
  path:string
  name:string
  id:string
  wallet?:TricksterWallet
  items:{[key:string]:TricksterItem}
}

export const dummyChar = (s:string):TricksterInventory => {
  return {
    path: s,
    name: s.split("/").pop()!,
    id: s,
    items:{}
  }
}



export const SampleData:{[key:string]:TricksterInventory} = {
  aysheBoyfriend: {
    name: sampleAyshe.characters[100047311].name,
    items: sampleAyshe.items,
    wallet: {
      galders: sampleAyshe.characters[100047311].galders,
      job_img: sampleAyshe.characters[100047311].job_img,
      state: sampleAyshe.characters[100047311].state
    }
  } as any
}
